<?php

// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'expert-life-coach-customize-section-button',
		get_theme_file_uri( 'assets/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);
	wp_localize_script(
		'expert-life-coach-customize-section-button',
		'expert_life_coach_customizer_params',
		array(
			'ajaxurl' =>	admin_url( 'admin-ajax.php' )
		)
	);

	wp_enqueue_style(
		'expert-life-coach-customize-section-button',
		get_theme_file_uri( 'assets/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

 /**
 * Enqueue scripts and styles.
 */
function expert_life_coach_scripts() {
	
	// Styles	 

	wp_enqueue_style('all-min',get_template_directory_uri().'/assets/css/all.min.css');

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');
		
	wp_enqueue_style('font-awesome',get_template_directory_uri().'/assets/css/fonts/font-awesome/css/font-awesome.min.css');
	
	wp_enqueue_style('expert-life-coach-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('expert-life-coach-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('expert-life-coach-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'expert-life-coach-style', get_stylesheet_uri() );

    wp_enqueue_style('expert-life-coach-main', get_stylesheet_uri(), array() );
		wp_style_add_data('expert-life-coach-main', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('expert-life-coach-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'expert_life_coach_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }
}
add_action( 'wp_enqueue_scripts', 'expert_life_coach_scripts' );

// Function to enqueue custom CSS
function expert_life_coach_enqueue_custom_css() {
    // Define a unique handle for your inline stylesheet
    $handle = 'expert-life-coach-style';
    
    // Get the generated custom CSS
    $expert_life_coach_custom_css = "";

    $expert_life_coach_blog_layouts = get_theme_mod('expert_life_coach_blog_layout_option_setting', 'Default');
    if ($expert_life_coach_blog_layouts == 'Default') {
        $expert_life_coach_custom_css .= '.blog-item{';
        $expert_life_coach_custom_css .= 'text-align:center;';
        $expert_life_coach_custom_css .= '}';
    } elseif ($expert_life_coach_blog_layouts == 'Left') {
        $expert_life_coach_custom_css .= '.blog-item{';
        $expert_life_coach_custom_css .= 'text-align:Left;';
        $expert_life_coach_custom_css .= '}';
    } elseif ($expert_life_coach_blog_layouts == 'Right') {
        $expert_life_coach_custom_css .= '.blog-item{';
        $expert_life_coach_custom_css .= 'text-align:Right;';
        $expert_life_coach_custom_css .= '}';
    }

    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $expert_life_coach_custom_css);

    // Add inline style for Scroll to Top
    $expert_life_coach_scroll_top_bg_color = get_theme_mod('expert_life_coach_scroll_top_bg_color', '#c3002f');
    $expert_life_coach_scroll_top_color = get_theme_mod('expert_life_coach_scroll_top_color', '#fff');

    // Use global if still default
    if ( $expert_life_coach_scroll_top_bg_color === '#c3002f' ) {
        $expert_life_coach_scroll_top_bg_color = get_theme_mod('expert_life_coach_dynamic_color_one');
    }

    $expert_life_coach_scroll_custom_css = "
        #scrolltop {
            background-color: {$expert_life_coach_scroll_top_bg_color};
        }
        #scrolltop span {
            color: {$expert_life_coach_scroll_top_color};
        }
    ";
    wp_add_inline_style('expert-life-coach-style', $expert_life_coach_scroll_custom_css);

    // Add inline style for Preloader
    $expert_life_coach_preloader_bg_color = get_theme_mod('expert_life_coach_preloader_bg_color', '#ffffff');
    $expert_life_coach_preloader_color = get_theme_mod('expert_life_coach_preloader_color', '#c3002f');

    // Use global if still default
    if ( $expert_life_coach_preloader_color === '#c3002f' ) {
        $expert_life_coach_preloader_color = get_theme_mod('expert_life_coach_dynamic_color_one');
    }

    $expert_life_coach_preloader_custom_css = "
        .loading {
            background-color: {$expert_life_coach_preloader_bg_color};
        }
        .loader {
            border-color: {$expert_life_coach_preloader_color};
            color: {$expert_life_coach_preloader_color};
            text-shadow: 0 0 10px {$expert_life_coach_preloader_color};
        }
        .loader::before {
            border-top-color: {$expert_life_coach_preloader_color};
            border-right-color: {$expert_life_coach_preloader_color};
        }
        .loader span::before {
            background: {$expert_life_coach_preloader_color};
            box-shadow: 0 0 10px {$expert_life_coach_preloader_color};
        }
    ";
    wp_add_inline_style('expert-life-coach-style', $expert_life_coach_preloader_custom_css);

    // copyright text color
    $expert_life_coach_footer_copyright_text_color =
        get_theme_mod( 'expert_life_coach_footer_copyright_text_color' );

    if ( $expert_life_coach_footer_copyright_text_color ) {
        $expert_life_coach_color_footer_css  = "
    .copy-right p, .copy-right p a{
        color: " . esc_attr( $expert_life_coach_footer_copyright_text_color ) . ";
    }
    ";
        wp_add_inline_style( 'expert-life-coach-style', $expert_life_coach_color_footer_css );
    }
}

// Hook the function to the 'wp_enqueue_scripts' action
add_action('wp_enqueue_scripts', 'expert_life_coach_enqueue_custom_css');